<?php
/**
 * Scraping Data from the Internet
 * A CS50 Seminar By Keito Uchiyama
 * November 2009
 */

// Take a parameter of our own
if (empty($_GET['q'])) {
  echo "Please type in a search query and try again.";
  exit;
}

$query = $_GET['q'];

// Get the raw HTML from Hollis
$wet = file_get_contents('http://discovery.lib.harvard.edu/result.ashx?inlibrary=false&noext=false&debug=&lastquery=&lvq=&lsi=&uilang=en&searchmode=assoc&hardsort=&skin=harvard&rctx=&c_over=1&curpage=1&branch=&ref=&i_fk=&mxdk=-1&si=user&cs=user&cmd=find&q=' . urlencode($query));

//echo "<pre>" . $wet . "</pre>";

// Now try to match all titles found
$regex = '@<a class="classiclink" href="[^"]+" onclick="[^"]+">\s*(.+)</a>@';

if (!preg_match_all($regex, $wet, $matches)) {
  echo "No matches found";
  exit;
}

$titles = $matches[1];

echo "<b>The following titles matched your query for '" . htmlspecialchars($query) . "':</b><br />";
foreach($titles as $title) {
  echo "&middot; $title<br />";
}
