<?php
/**
 * Scraping Data from the Internet
 * A CS50 Seminar By Keito Uchiyama
 * November 2009
 */

// First, log into C$75 Finance
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://www.keitr.com/project2/login.php");
curl_setopt($ch, CURLOPT_USERAGENT,
  "Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2b2) Gecko/20091108 Firefox/3.6b2");

// Set post-related settings
curl_setopt($ch, CURLOPT_POST, true);
$data = array('username' => 'ScrapeTest', 'password' => 'scraper', 'a' => 'login');
curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

// Set where to save cookies
curl_setopt($ch, CURLOPT_COOKIEJAR, 'cookiefile.txt');

$ret = curl_exec($ch);
curl_close($ch);

if ($ret === false) {
  echo "Could not log user in";
  exit;
}

///// We're now logged in, and we have a valid cookie in cookiefile.txt. /////

// Try getting the user's portfolio
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://www.keitr.com/project2/index.php");
curl_setopt($ch, CURLOPT_USERAGENT,
  "Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2b2) Gecko/20091108 Firefox/3.6b2");

// Set where to get cookies from (and where to save them back)
curl_setopt($ch, CURLOPT_COOKIEFILE, 'cookiefile.txt');
curl_setopt($ch, CURLOPT_COOKIEJAR, 'cookiefile.txt');

// This time we want the content of the page returned
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$ret = curl_exec($ch);
curl_close($ch);

if ($ret === false) {
  echo "Could not fetch portfolio page";
  exit;
}

if (preg_match('@<td colspan="2">Cash</td><td>([^<]+)</td>@', $ret, $matches)) {
  echo "You currently have " . $matches[1] . " in your portfolio on keitr.com!";
} else {
  echo "Failed to parse portfolio data.";
}
