<?php
/**
 * Scraping Data from the Internet
 * A CS50 Seminar By Keito Uchiyama
 * November 2009
 */

// Get the raw HTML from Weather.com using cURL
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://www.weather.com/weather/local/02138");
curl_setopt($ch, CURLOPT_USERAGENT,
  "Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2b2) Gecko/20091108 Firefox/3.6b2");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$ret = curl_exec($ch);
curl_close($ch);
if ($ret === false) {
  echo "Could not fetch Weather.com page";
  exit;
}
$wet = $ret;

// The rest is the same as weather.php

// Now run a regular expression on the source to find, e.g.:
// <B CLASS=obsTempTextA>50&deg;F</B> for 50 degrees.
if (preg_match('/<B CLASS=obsTempTextA>(\d+)&deg;F<\/B>/', $wet, $matches)) {
  echo "The current weather in 02138 is " . $matches[1] . " degrees Fahrenheit";
} else {
  echo "Failed to parse current weather";
}
