<?php
/**
 * Scraping Data from the Internet
 * A CS50 Seminar By Keito Uchiyama
 * November 2009
 */

// Get the raw HTML from Weather.com (requires PHP fopen wrapper for HTTP)
$wet = file_get_contents('http://www.weather.com/weather/local/02138');

// Now run a regular expression on the source to find, e.g.:
// <B CLASS=obsTempTextA>50&deg;F</B> for 50 degrees.
if (preg_match('/<B CLASS=obsTempTextA>(\d+)&deg;F<\/B>/', $wet, $matches)) {
  echo "The current weather in 02138 is " . $matches[1] . " degrees Fahrenheit";
} else {
  echo "Failed to parse current weather";
}
